UnfoldingRemoteAdapter
Date: 2013-06-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.contentmanagement.gcubedocumentlibrary.streams.folding
Class UnfoldingRemoteAdapter<FROM,TO>

    java.lang.Object
      org.gcube.contentmanagement.gcubedocumentlibrary.streams.folding.UnfoldingAbstractAdapter<FROM,TO,java.lang.Exception>
          org.gcube.contentmanagement.gcubedocumentlibrary.streams.folding.UnfoldingRemoteAdapter<FROM,TO>

    public class UnfoldingRemoteAdapter<FROM,TO>

extends UnfoldingAbstractAdapter<FROM,TO,java.lang.Exception>

An `UnfoldingAbstractAdapter` with a `RemoteIterator` interface.

Author:
  Fabio Simeoni (University of Strathclyde)

Constructor Summary
`UnfoldingRemoteAdapter( rit, Filter<FROM,java.util.List<TO>> f, IFaultPolicy<? extends java.lang.Exception> h)` Creates an instance with a `RemoteIterator`, a `Filter`, and a `IFaultPolicy`.

Method Summary
`void` | `close()`
`java.lang.String` | `locator()`
`TO` | `next()` Returns the next element in the stream.

Methods inherited from class org.gcube.contentmanagement.gcubedocumentlibrary.streams.folding.UnfoldingAbstractAdapter
`hasNext`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnfoldingRemoteAdapter

    public UnfoldingRemoteAdapter( rit,
                                  Filter<FROM,java.util.List<TO>> f,
                                  IFaultPolicy<? extends java.lang.Exception> h)

  Creates an instance with a `RemoteIterator`, a `Filter`, and a `IFaultPolicy`.

  Parameters:
    `rit` - the iterator.
    `f` - the filter.
    `h` - the fault handler.

Method Detail

### next

    public TO next()
            throws java.lang.Exception

  Returns the next element in the stream.

  Overrides:
    `next` in class `UnfoldingAbstractAdapter<FROM,TO,java.lang.Exception>`
  Returns:
    the next element in the stream.
  Throws:
    `java.lang.Exception`

### close

    public void close()

### locator

    public java.lang.String locator()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD